<?php
session_start();
include "verifica.php";
include "validaciones.php";

@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$tipexi = new Tiposexistencias;

switch($xaccion){
	
	case "adicionar": 
		if($tipexi->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Tipo existencia creado satisfactoriamente.")
			parent.location.href="../tipo_existencia.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($tipexi->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Tipo existencia modificado satisfactoriamente.")
			parent.location.href="../tipo_existencia.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":	
		if($vali->tipos_existencias($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{
	
			if($tipexi->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Tipo de existencia eliminado satisfactoriamente.")
				parent.location.href="../tipo_existencia.php";
				</script>			
				<?php
				
			}
		}			
		break;

	case "activar":
		if($tipexi->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Tiposexistencias{

	//Adiciona registro
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"insert into tipos_existencias (tipexi_nombre, 
												  tipexi_abreviatura,
												  tipexi_usu_crea)
										values ('$xnombres', 
												'$xabreviatura',
												'$xusuario_sesion');");
		
		if($r){		
			return 1;
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: EL TIPO DE EXISTENCIA YA EXISTE EN LOS REGISTROS.");
			</script>
			<?php	
		}	
				
	}	

	//Modifica registro
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update tipos_existencias set tipexi_nombre = '$xnombres', 
												  tipexi_abreviatura = '$xabreviatura',
												  tipexi_usu_modifica = '$xusuario_sesion'
										where tipexi_codi = $xid;");
		
		if($r){		
			return 1;
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: EL TIPO DE EXISTENCIA YA EXISTE EN LOS REGISTROS.");
			</script>
			<?php										
		}	
	
	}	
	

	//Elimina registro
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from tipos_existencias where tipexi_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa registro
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update tipos_existencias set tipexi_estado = '$xestado',
												 tipexi_usu_activa = '$xusuario_sesion' 
											where tipexi_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
